You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     bkoe...@alpha-tierchen.de
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/science/omnetpp/Makefile 327767 2013-09-20 
22:48:30Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-10-17_19h54m49s/logs/omnetpp-3.3_6.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-10-17_19h54m49s
Log:

====>> Building science/omnetpp
build started at Fri Oct 18 04:57:25 UTC 2013
port directory: /usr/ports/science/omnetpp
building for: FreeBSD head-i386-default-job-17 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 i386
maintained by: bkoe...@alpha-tierchen.de
Makefile ident:      $FreeBSD: head/science/omnetpp/Makefile 327767 2013-09-20 
22:48:30Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-i386-default/ref
PKG_EXT=txz
tpid=44730
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=omnetpp-3.3_6
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for omnetpp-3.3_6:
     DOCS=on: Build and/or install documentation
     DOXYGEN=on: Install Doxygen to create the API reference
     GRAPHVIZ=on: Install Graphviz for generating diagrams
     MAGICK=on: Install ImageMagick for EPS-JPG conversion
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake PKG_CONFIG=pkgconf TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh GLIB_CONFIG="/usr/local/bin/glib12-config" 
XML_CONFIG="/usr/local/bin/xml-config" 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
GLIB_CONFIG="/usr/local/bin/glib12-config" 
XML_CONFIG="/usr/local/bin/xml-config" PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -fno-strict-aliasing -std=gnu89"  
CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/omnetpp
DOCSDIR=/usr/local/share/doc/omnetpp
EXAMPLESDIR=/usr/local/share/examples/omnetpp
WWWDIR=/usr/local/www/omnetpp
ETCDIR=/usr/local/etc/omnetpp
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for omnetpp-3.3_6
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   omnetpp-3.3_6 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of omnetpp-3.3_6
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by omnetpp-3.3_6 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by omnetpp-3.3_6 for building
=> SHA256 Checksum OK for omnetpp-3.3-src.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by omnetpp-3.3_6 for building
===>  Extracting for omnetpp-3.3_6
=> SHA256 Checksum OK for omnetpp-3.3-src.tgz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for omnetpp-3.3_6
===>  Applying FreeBSD patches for omnetpp-3.3_6
===========================================================================
=======================<phase: build-depends  >============================
===>   omnetpp-3.3_6 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1... done
 done
===>   Returning to build of omnetpp-3.3_6
===>   omnetpp-3.3_6 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.3.txz
Installing pkgconf-0.9.3... done
===>   Returning to build of omnetpp-3.3_6
===>   omnetpp-3.3_6 depends on executable: convert - not found
===>    Verifying install for convert in /usr/ports/graphics/ImageMagick
===>   Installing existing package /packages/All/ImageMagick-6.8.0.7_1.txz
Installing ImageMagick-6.8.0.7_1...Installing xproto-7.0.24... done
Installing xineramaproto-1.2.1... done
Installing xextproto-7.2.1... done
Installing xcb-util-renderutil-0.3.8...Installing 
xcb-util-0.3.9_1,1...Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2... done
Installing libpthread-stubs-0.3_3... done
 done
 done
 done
Installing renderproto-0.11.1... done
Installing randrproto-1.4.0... done
Installing pixman-0.30.2... done
Installing libXrender-0.9.8...Installing kbproto-1.0.6... done
Installing libX11-1.6.2,1... done
 done
Installing libXrandr-1.4.2...Installing libXext-1.3.2,1... done
 done
Installing libXinerama-1.1.3,1... done
Installing libXi-1.7.2,1...Installing libXfixes-5.0.1...Installing 
fixesproto-5.0... done
 done
Installing inputproto-2.3... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libXcursor-1.1.14... done
Installing libXcomposite-0.4.4,1...Installing compositeproto-0.4.2... done
 done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing pango-1.34.1_1...Installing xorg-fonts-truetype-7.7_1...Installing 
mkfontscale-1.1.1...Installing libfontenc-1.1.2... done
Installing freetype2-2.5.0.1... done
 done
Installing mkfontdir-1.0.7... done
Installing fontconfig-2.10.95,1...Installing expat-2.1.0... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
Installing font-util-1.3.0... done
Installing font-misc-meltho-1.0.3... done
Installing font-misc-ethiopic-1.0.3... done
Installing font-bh-ttf-1.0.3... done
Installing encodings-1.0.4,1... done
Installing dejavu-2.34... done
 done
Installing libXft-2.3.1... done
Installing harfbuzz-0.9.19...Installing python27-2.7.5_3... done
Installing python2-2_1... done
Installing python-2.7_1,2... done
Installing perl-5.14.4_2...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
<snip>
===>   Returning to build of omnetpp-3.3_6
===>   omnetpp-3.3_6 depends on shared library: glib-12.3 - not found
===>    Verifying install for glib-12.3 in /usr/ports/devel/glib12
===>   Installing existing package /packages/All/glib12-1.2.10_13.txz
Installing glib12-1.2.10_13... done
===>   Returning to build of omnetpp-3.3_6
===>   omnetpp-3.3_6 depends on shared library: xml.5 - not found
===>    Verifying install for xml.5 in /usr/ports/textproc/libxml
===>   Installing existing package /packages/All/libxml-1.8.17_5.txz
Installing libxml-1.8.17_5... done
===>   Returning to build of omnetpp-3.3_6
===>   omnetpp-3.3_6 depends on shared library: xml2.5 - found
===>   omnetpp-3.3_6 depends on shared library: xslt.2 - not found
===>    Verifying install for xslt.2 in /usr/ports/textproc/libxslt
===>   Installing existing package /packages/All/libxslt-1.1.28_1.txz
Installing libxslt-1.1.28_1...Installing libgpg-error-1.12... done
Installing libgcrypt-1.5.3... done
 done
===>   Returning to build of omnetpp-3.3_6
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for omnetpp-3.3_6
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/configure
configure: loading site script /usr/ports/Templates/config.site
checking build system type... i386-portbld-freebsd11.0
checking host system type... i386-portbld-freebsd11.0
configure: -----------------------------------------------
configure: reading configure.user for your custom settings
configure: -----------------------------------------------
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking for ranlib... ranlib
checking if shared libs need -fPIC... skip (already in CFLAGS)
checking if --export-dynamic linker option is supported/needed... no solution 
found
configure: WARNING: No way was detected to export symbols from executables to 
shared
configure: WARNING: libraries. You probably will not be able to dynamically load
configure: WARNING: simple modules or other extensions written in C++ into 
simulation
configure: WARNING: programs like INET.
checking for flags needed to link with static libs containing simple modules... 
--whole-archive
configure: NOTE: Use the following syntax when linking with static libraries
configure: containing simple modules and other dynamically registered 
components:
configure:    c++ ... -Wl,--whole-archive <libs> -Wl,--no-whole-archive ...
checking for bison... no
checking for byacc... byacc
checking for flex... flex
checking for yywrap in -lfl... yes
checking lex output file root... lex.yy
checking whether yytext is a pointer... no
checking for make... gmake
checking for doxygen... doxygen
checking for perl... perl
checking for xsltproc... xsltproc
checking for gs... gs
checking for convert... convert
checking for dot... dot
checking for giftrans... no
configure: WARNING: giftrans not found -- opp_neddoc needs it to make the 
background of diagrams transparent.
checking for math with CFLAGS="" LIBS=""... yes
checking for standard C++ lib with CFLAGS="" LIBS="-lstdc++"... yes
checking for dlopen with CFLAGS="" LIBS=""... yes
checking for winsock with CFLAGS="" LIBS="-lwsock32"... no
checking for Tcl/Tk with CFLAGS="-I/usr/local/include 
-I/usr/local/include/tcl8.6 -I/usr/local/include/tk8.6" LIBS="-L/usr/local/lib 
-L/usr/local/lib -lX11 -ltcl86 -ltk86"... yes
checking for wish8.6... wish8.6
application-specific initialization failed: no display name and no $DISPLAY 
environment variable
checking for BLT 2.4 with CFLAGS="-I/usr/local/include 
-I/usr/local/include/tcl8.6 -I/usr/local/include/tk8.6" LIBS=" -L/usr/local/lib 
-L/usr/local/lib -lX11 -ltcl86 -ltk86"... no
checking for BLT 2.4 with CFLAGS="-I/usr/local/include 
-I/usr/local/include/tcl8.6 -I/usr/local/include/tk8.6" LIBS="-lBLT24 
-L/usr/local/lib -L/usr/local/lib -lX11 -ltcl86 -ltk86"... yes
application-specific initialization failed: no display name and no $DISPLAY 
environment variable
configure: WARNING: Tcl cannot load BLT (wish command "package require BLT 2.4" 
failed), probably BLT not installed correctly.
checking for MPI with CFLAGS="" LIBS=""... no
checking for MPI with CFLAGS="" LIBS="-pthread -llammpio -llammpi++ -lmpi -llam 
-laio -laio -lutil"... no
checking for MPI with CFLAGS="" LIBS="-lmpi++ -lmpi"... no
configure: WARNING: Optional package MPI (needed for parallel simulation) not 
found.
checking for LibXML XML parser with CFLAGS="-I/usr/local/include/libxml2  " 
LIBS="-L/usr/local/lib -lxml2  "... yes
checking for Expat XML parser with CFLAGS="" LIBS=""... no
checking for Expat XML parser with CFLAGS="" LIBS="-lexpat"... no
configure: Using LibXML for XML parsing
checking for Akaroa with CFLAGS="" LIBS=""... no
checking for Akaroa with CFLAGS="" LIBS="-lakaroa -lfl"... no
configure: WARNING: Optional package Akaroa not found
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/cmdenv/Makefile
config.status: creating src/envir/Makefile
config.status: creating src/gned/Makefile
config.status: creating src/nedxml/Makefile
config.status: creating src/nedc/Makefile
config.status: creating src/scalars/Makefile
config.status: creating src/plove/Makefile
config.status: creating src/sim/Makefile
config.status: creating src/tkenv/Makefile
config.status: creating src/utils/Makefile
config.status: creating src/utils/opp_makemake
config.status: creating src/utils/opp_neddoc
config.status: creating samples/aloha/Makefile
config.status: creating samples/cqn/Makefile
config.status: creating samples/dyna/Makefile
config.status: creating samples/fddi/Makefile
config.status: creating samples/fifo/Makefile
config.status: creating samples/hcube/Makefile
config.status: creating samples/hist/Makefile
config.status: creating samples/neddemo/Makefile
config.status: creating samples/p-to-p/Makefile
config.status: creating samples/queueing/Makefile
config.status: creating samples/routing/Makefile
config.status: creating samples/queues/Makefile
config.status: creating samples/tictoc/Makefile
config.status: creating samples/tokenring/Makefile
config.status: creating samples/sockets/Makefile
config.status: creating test/Makefile

WARNING: The configuration script could not detect the following packages:

    giftrans  BLT  MPI (optional)  Akaroa (optional)

Scroll up to see the warning messages (use shift+PgUp key), and see config.log
for more details. While you can use OMNeT++/OMNEST in the current
configuration, please be aware that some functionality may be unavailable
or incomplete.



WARNING: your PATH doesn't contain 
/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin!
Add the following line to your startup file:
  export PATH=$PATH:/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin  # 
.(bash_)profile if you use sh/bash
  setenv PATH $PATH:/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin  # 
.cshrc if you use csh,tcsh etc.


WARNING: You selected shared libraries in configure.user, but your
LD_LIBRARY_PATH doesn't seem to contain 
/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/lib!

So that the dynamic linker can find the OMNeT++/OMNEST shared libs, you either
have to create symbolic links from /usr/lib to the OMNeT++/OMNEST shared
libraries (you can do it as root), or better, set the LD_LIBRARY_PATH
environment variable.

Add the corresponding line to your startup file:
  export 
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/lib
         # into .(bash_)profile if you use bash or other sh-like shell
  setenv LD_LIBRARY_PATH 
$LD_LIBRARY_PATH:/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/lib
         # into .cshrc if you use tcsh or other csh-like shell

If you prefer static libraries, edit configure.user and change the
build_shared_libs=yes line to build_shared_libs=no, then delete the shared
libraries, re-run configure and make.

WARNING: The TCL_LIBRARY environment variable is not set, and without it
OMNEST/OMNeT++ GUI programs may be unable to find the BLT library.
Please set it to point to the following directory:
    

Add the corresponding line to your startup file:
  export TCL_LIBRARY=
         # into .(bash_)profile if you use bash or other sh-like shell
  setenv TCL_LIBRARY 
         # into .cshrc if you use tcsh or other csh-like shell
For additional information, please visit the "Common installation problems"
page on www.omnetpp.org.
===========================================================================
=======================<phase: build          >============================
===>  Building for omnetpp-3.3_6
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3'
  *** Warning: /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin is not 
in the path, some components may not build!
  *** Warning: Looks like 
/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/lib is not in 
LD_LIBRARY_PATH, shared libs may not work!
cd /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/src/utils &&  gmake
gmake[2]: Entering directory 
`/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/src/utils'
c++ seedtool.cc -o seedtool
cc tcl2c.c -o tcl2c
chmod +x opp_makemake opp_test opp_makedep opp_neddoc splitvec
cp opp_makemake /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
cp opp_test /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
cp opp_makedep /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
cp opp_neddoc /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
cp splitvec /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
cp neddoc.xsl /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
cp neddocproc.pl /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
./utils/install-prog seedtool 
/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/bin
# next line is for samples/rundemo
echo wish8.6 >/root/.wishname
gmake[2]: Leaving directory 
`/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/src/utils'
cd /wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/src/nedxml && gmake
gmake[2]: Entering directory 
`/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/src/nedxml'
c++ -c  -O2 -pipe -fno-strict-aliasing -std=gnu89 -fPIC   -DWITH_PARSIM 
-DWITH_NETBUILDER -I/usr/local/include/libxml2   
-I/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/include -I. 
-DBUILDING_NEDXML -o nedelements.o nedelements.cc
error: invalid argument '-std=gnu89' not allowed with 'C++/ObjC++'
gmake[2]: *** [nedelements.o] Error 1
gmake[2]: Leaving directory 
`/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3/src/nedxml'
gmake[1]: *** [nedxml] Error 2
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/science/omnetpp/work/omnetpp-3.3'
*** Error code 1

Stop.
make: stopped in /usr/ports/science/omnetpp
===>  Cleaning for omnetpp-3.3_6
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to